Using Node.js editions on Raspberry Pi (Linux ARM)

Instructions for installing Node.js editions on Raspberry Pi

Date Entered: 03/27/2018    Last Updated: 03/27/2018

When installing the Node.js editions on a Raspberry Pi or other Linux ARM device, the library must be installed from the obfuscated source. To do this you will need the obfuscated source. Please contact support@nsoftware.com and request it.

Once the package is on the Pi, soft links need to be created for libssl and libcrypto. Afterwards the installation can continue as normal.

  • Create a softlink for libssl using: sudo ln -s libssl.so.1.1 libssl.so
  • Create a softlink for libcrypto using: sudo ln -s libcrypto.so.1.1 libcrypto.so
  • Install the source package: npm install ipworks-src-16.0.tar.gz

This article was written specifically for a Raspberry Pi 3, running Raspbian.


We appreciate your feedback.  If you have any questions, comments, or suggestions about this entry please contact our support team at kb@nsoftware.com.